Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057121 - [REST] No ability to select a specific snapshot configuration in single disk snapshot
Summary: [REST] No ability to select a specific snapshot configuration in single disk ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 13:38 UTC by Gilad Chaplik
Modified: 2016-02-10 18:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 11:25:34 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description Gilad Chaplik 2014-01-23 13:38:16 UTC
Description of problem:
UI has far more advanced functionality than REST.
In UI I can specify which snapshot's configuration/disk/memory to use, whereas REST can only select disks for a specific snapshot.

Comment 1 Itamar Heim 2014-01-26 08:10:57 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Daniel Erez 2014-01-31 11:25:34 UTC
The custom preview functionality is available from REST using the restore action (which is preview + commit).

I.e.
POST /api/vms/{vm_id}/snapshots/{snapshot_id}/restore
<action>
   <restore_memory>true|false</restore_memory>
   <disks>
     <disk id="{disk_id}">
       <image_id>{image_id}</image_id>
       <snapshot id="{snapshot_id}"/>
       ...
     </disk>
   </disks>
</action>


Note You need to log in before you can comment on or make changes to this bug.